XML External Entity (XXE) Injection

Affecting org.apache.activemq:artemis-selector artifact, versions [,1.0.0)

Do your applications use this vulnerable package? Test your applications

Overview

org.apache.activemq:artemis-selector is a ActiveMQ Artemis Selector Implementation.

Affected versions of this package are vulnerable to XML External Entity (XXE) Injection. The XPath selector component in Artemis ActiveMQ allowed use of External Entities.

Remediation

Upgrade org.apache.activemq:artemis-selector to version 1.0.0 or higher.

References

CVSS Score

9.8
high severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    High
  • Availability
    High
CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Credit
Unknown
CVE
CVE-2015-3208
CWE
CWE-611
Snyk ID
SNYK-JAVA-ORGAPACHEACTIVEMQ-451537
Disclosed
27 Jul, 2017
Published
04 Jul, 2019